Package com.netrics.likeit

## Interface NetricsCommonStats

- All Known Implementing Classes:
    `NetricsCharmapStats`, `NetricsIdxStats`, `NetricsModelStats`, `NetricsTableStats`, `NetricsThesStats`

      public interface NetricsCommonStats

  Statistics common to all Patterns "objects": Tables, Thesauri, Models, and Character Maps.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getLayout()` | Deprecated. Deprecated since 5.6.
    `int` | `getTranId()` | Deprecated. Use `getTransactionId()` to obtain the full transaction id.
    `long` | `getTransactionId()` | Returns the full 64-bit id of the transaction that owns or claim this item.
    `int` | `getTranState()` | Returns the transaction state for this object.
    `boolean` | `isDirty()` | Returns true if this item is dirty.
    `boolean` | `isHeld()` | Returns true if this object is held by an open transaction.
    `boolean` | `isUpdated()` | Returns true if this item is updated by an open transaction.

- - ### Method Detail

    - #### getTranState

          int getTranState()

      Returns the transaction state for this object. If this object is not associated with a transaction this returns the special value NetricsTranStats.STATE_NULL. Otherwise it is an OR'd combination of one or more of the state values defined in NetricsTranStats.
      Returns:
        the transaction state.

    - #### isDirty

          boolean isDirty()

      Returns true if this item is dirty. This return true if this item has been modified by a transaction that is not yet committed or aborted. Dirty items may not be trustworthy as the modifications may not be complete and may get rolled back if the transaction is aborted.
      Returns:
        the dirty flag of the object.

    - #### isUpdated

          boolean isUpdated()

      Returns true if this item is updated by an open transaction. This is not the same as the isDirty value, as an object is dirty if it was replaced, renamed, added or deleted in addition to updated. Updated indicates that some portion of the item was modified.
      Returns:
        the updated flag of the object.

    - #### isHeld

          boolean isHeld()

      Returns true if this object is held by an open transaction. Held means it is being held in association with updates to another item, but it is not itself modified by the transaction. However another operation may have modified this item, so both isHeld and isDirty may return true.
      Returns:
        the held flag of the object

    - #### getTranId

          @Deprecated
          int getTranId()

      Deprecated.
      Use `getTransactionId()` to obtain the full transaction id.
      Returns a partial 32-bit id of the transaction that owns or claim this item. If this item has not been modified or held by an open transaction this will be equal to NetricsTranStats.TRAN_ID_NULL (zero).
      Returns:
        a full transaction id.

    - #### getTransactionId

          long getTransactionId()

      Returns the full 64-bit id of the transaction that owns or claim this item. If this item has not been modified or held by an open transaction this will be equal to NetricsTranStats.TRAN_ID_NULL (zero).
      Returns:
        a full transaction id.

    - #### getLayout

          @Deprecated
          java.lang.String getLayout()

      Deprecated.
      Deprecated since 5.6. This function always returns null.
      Returns:
        null